package com.uas.platform.b2b.service;

import com.uas.platform.b2b.model.VendorPerformanceAssess;

import java.util.List;

public interface VendorPerformanceAssessService {

	/**
	 * 批量保存供应商绩效考核信息
	 *
	 * @param vpas
	 * @return
	 */
	public List<VendorPerformanceAssess> save(List<VendorPerformanceAssess> vpas);


	/**
	 * 供应商绩效考核下载成功，更新下载状态
	 * 
	 * @param idArray
	 */
	public void onVPADownSuccess(String[] idArray);

	public VendorPerformanceAssess findById(Long id);
}
